SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Browser)  >   Apple Safari Vendors:   Apple
(Apple Issues Fix for Safari) Google Chrome Multiple Flaws Let Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1027301
SecurityTracker URL:  http://securitytracker.com/id/1027301
CVE Reference:   CVE-2011-3059, CVE-2011-3060, CVE-2011-3064   (Links to External Site)
Date:  Jul 25 2012
Impact:   Disclosure of authentication information, Disclosure of user information, Execution of arbitrary code via network, Modification of user information, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 6.0
Description:   Multiple vulnerabilities were reported in Google Chrome. A remote user can cause arbitrary code to be executed on the target user's system. A remote user can conduct cross-site scripting attacks. Apple Safari is affected by some vulnerabilities.

A remote user can create specially crafted content that, when loaded by the target user, will execute arbitrary code on the target system. The code will run with the privileges of the target user.

A remote user can conduct cross-site scripting attacks via EUC-JP characters [CVE-2011-3058]. Masato Kinugawa reported this vulnerability.

An out-of-bounds read may occur in SVG text handling [CVE-2011-3059]. Arthur Gerkis reported this vulnerability.

An out-of-bounds read may occur in text fragment handling [CVE-2011-3060]. miaubiz reported this vulnerability.

An SPDY proxy certificate checking error may occur [CVE-2011-3061]. Leonidas Kontothanassis of Google reported this vulnerability.

An off-by-one memory error may occur in OpenType Sanitizer [CVE-2011-3062]. Mateusz Jurczyk of the Google Security Team reported this vulnerability.

Some navigation requests from the renderer are not properly validated [CVE-2011-3063]. kuzzcc, Sergey Glazunov, PinkiePie, and scarybeasts (Google Chrome Security Team) reported this vulnerability.

A use-after-free may occur in SVG clipping may occur [CVE-2011-3064]. Atte Kettunen of OUSPG reported this vulnerability.

A memory corruption error may occur in Skia [CVE-2011-3065]. Omair reported this vulnerability.

An invalid read may occur in the v8 engine [CVE-2011-3057]. Christian Holler reported this vulnerability.

Impact:   A remote user can create content that, when loaded by the target user, will execute arbitrary code on the target user's system.

A remote user can conduct cross-site scripting attacks.

Solution:   Apple has issued a fix for CVE-2011-3059, CVE-2011-3060, CVE-2011-3064 for Safari.

The Apple advisory is available at:

http://support.apple.com/kb/HT5400

Cause:   Access control error, Boundary error, Input validation error
Underlying OS:  UNIX (macOS/OS X)

Message History:   This archive entry is a follow-up to the message listed below.
Mar 30 2012 Google Chrome Multiple Flaws Let Remote Users Execute Arbitrary Code



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC